
///////////////////////////////////////////////////////////////////////
// Module       : TP CORBA 1999
// Composant    : usine_Impl.java
// Creation     : 09/03/1999
//
// Commentaires : Cette classe constitue l'implantation de 
//                l'interface "usine" (voir tpcorba.idl)
// MOD1         :
///////////////////////////////////////////////////////////////////////
// $Id: usine_Impl.java,v 1.1 1999/03/12 14:29:48 singhoff Exp singhoff $
///////////////////////////////////////////////////////////////////////


package tpcorba;

import org.omg.CORBA.*;
import java.lang.*;



public class usine_Impl extends _usineImplBase
	{


	// Reference sur la BOA
	//
	protected  BOA boa_ ;


	// Nombre maximal d'objets que l'usine
	// peut creer
	//
	protected  int taille;

	
	// Tableau de references d'objets CORBA
	//
	protected  tpcorba.calcul [] ref;

	
	// Tableau des identifiants alphanumeriques
	// des objets CORBA
	//
	protected  String [] refid;

	
	// Nombre de client possedant une reference sur 
	// un objet donne
	//
	protected  int [] nbUtilisateur;


	// Constructeur
	//
	public  usine_Impl(BOA boa, int t)
		{
		boa_=boa;
		taille=t;

		// Allocation + initialisation des tableaux
		//
		ref = new tpcorba.calcul [taille];
		refid  = new String [taille];
		nbUtilisateur = new int [taille];

		for(int i=0;i<taille;i++)
			{
			nbUtilisateur[i]=0;
			ref[i]=null;
			refid[i]="";
			}

		}


	// Methode permettant de rechercher un objet
	// dans la table des references
	//
	protected int recherche(String id)
		throws calculatriceInconnue
		{

		int i=0;
		while(i<taille) 
			{
			if(id.equals(refid[i]))
				return i;
			else	i++;
			}

		throw new calculatriceInconnue();

		}



	*****

	}

